
package com.loafle;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.loafle.overflow.crawler.config.Config;
import com.loafle.overflow.crawler.snmp.SNMPCrawler;
import com.sun.xml.internal.ws.api.ResourceLoader;
import org.junit.Test;

import java.io.File;
import java.util.Map;

public class AppTest {

    /***
     * v2c test info
     * private static String addr = "192.168.1.215";
     * private static String port = "161";
     *  private static String community = "public";
     *
     * v3 test info
     * loafle MD5 "qwer5795" DES "qweqwe123" : AUTHPRIV
     * loafle2 SHA "qwer5795" AES "qweqwe123" : AUTHPRIV
     * loafle3 MD5 "qwer5795" : AUTHNOPRIV
     * loafle4 :NOAUTHNOPRIV
     */

    @Test
    public void testSNMP() throws Exception {
        SNMPCrawler c = new SNMPCrawler();
        ObjectMapper mapper = new ObjectMapper();
        String p =  ResourceLoader.class.getClass().getResource("/config/examplev3.json").getPath();
        Config config = mapper.readValue(new File(p),Config.class);

        Object result = c.getInternal(config);

        if(result instanceof Boolean) {
            System.out.println("validate : " + result);
        }else  {
            printResult((Map<String, String>)result);
        }

    }

    private void printResult(Map<String, String> result) {
        for (Map.Entry<String, String> entry : result.entrySet()) {
            System.out.printf(" %s - %s\n", entry.getKey(), entry.getValue());
        }

    }

}